/************************************************************************/
/*                                                                      */
/*                      Motorpotiplatine Steuerung                      */
/*                                                                      */
/*              Author : Frank Link                                     */
/*                       franklink61@aol.com                            */
/*              Version: 1.0                                            */
/************************************************************************/

#include <avr/io.h>
#include "buttons.h"

char sendCode( char test )
{
	if ( test == 0x01 )
	{
		DDRD  = CHANNEL1;
		PORTD = CHANNEL1;  
		return 0x01;  	
	}
	if ( test == 0x02 )
	{
		DDRD  = CHANNEL2;
		PORTD = CHANNEL2;    	
		return 0x02;  	
	}
	if ( test == 0x03 )
	{
		DDRD  = CHANNEL3;
		PORTD = CHANNEL3;    	
		return 0x03;  	
	}
	if( test == 0x04 )
	{
		DDRD  = CHANNEL4;
		PORTD = CHANNEL4;    	
		return 0x04;  	
	}
	if( test == 0x05 )
	{
		DDRD  = CHANNEL5;
		PORTD = CHANNEL5;    	
		return 0x05;
	}
	return 0;
};

char isKey_on_off( char device, char key )
{
#ifdef TYPE2
	if ( ( key == 0x0C ) && ( device == 0x11  ) )
	{
		return 1;
	}
#endif
	return -1;
}

char isKey_1( char device, char key )
{
	if ( ( key == 0x3F ) && ( device == 0x11 ) )
	{
		return 1;
	}
	return -1;
}

char isKey_2( char device, char key )
{
	if ( ( key == 0x3F ) && ( device == 0x0C ) )
	{
		return 1;
	}
	return -1;
}

char isKey_3( char device, char key )
{
	if ( ( key == 0x3F ) && ( device == 0x17 ) )
	{
		return 1;
	}
	return -1;
}

char isKey_4( char device, char key )
{
	if ( ( key == 0x3F ) && ( device == 0x12 ) )
	{
		return 1;
	}
	return -1;
}

char isKey_5( char device, char key )
{
#ifdef TYPE1
	if ( ( key == 0x3F ) && ( device == 0x05 ) )
	{
		return 1;
	}
#endif
	return -1;
}

char isKey_Channel_Up( char device, char key )
{
	if ( ( key == 0x20 ) && ( device = 0x11 ) )
	{
		return 1;
	}
	return -1;
}

char isKey_Channel_Down( char device, char key )
{
	if ( ( key == 0x21 ) && ( device = 0x11 ) )
	{
		return 1;
	}
	return -1;
}

char isKey_Motor_Left( char device, char key )
{
	if ( ( key == 0x10 ) && ( device == 0x11 ) )
	{
		return 1;
	}
	return -1;
}

char isKey_Motor_Right( char device, char key )
{
	if ( ( key == 0x11 ) && ( device == 0x11 ) )
	{
		return 1;
	}
	return -1;
}

