/************************************************************************/
/*                                                                      */
/*                      Motorpotiplatine Steuerung                      */
/*                                                                      */
/*              Author : Frank Link                                     */
/*                       franklink61@aol.com                            */
/*              Version: 1.0                                            */
/************************************************************************/

#include <avr/wdt.h>
#include "timer.h"


/**
 * Zurcksetzten des Timers und Timer starten
 */ 
void restartTimer( void ) 
{
  timerHighByte = 0;                        
  TCNT1 = 0;                                
  TCCR1B |= 1<<CS10;                   
}

/**
 * stop the timer1
 */
void stopTimer( void ) 
{
  TCCR1B  &= ~(1 << CS10);
}
